> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ControlWorkerSync

> Controls a worker sync (start, stop or restart). Deprecated: use "POST /v2/worker/syncs/{syncId}/start", ".../stop" or ".../restart" ("StartWorkerSync", "StopWorkerSync", "RestartWorkerSync") instead.



**mutation** `ControlWorkerSync(request: ControlWorkerSyncCommandRequestInput!): Boolean!`

> Deprecated: This endpoint is deprecated.

## Arguments

**`request`**: `ControlWorkerSyncCommandRequestInput!` (required)

## Returns

`Boolean!`

## Examples

```graphql Mutation
mutation ControlWorkerSync($request: ControlWorkerSyncCommandRequestInput!) {
  ControlWorkerSync(request: $request)
}
```

```json Variables
{
  "request": {
    "syncId": "id",
    "action": "START"
  }
}
```

```json Response
{
  "data": {
    "ControlWorkerSync": true
  }
}
```
